Bug 60927 - artsd creates high pitched sound on startup and then crashes
Summary: artsd creates high pitched sound on startup and then crashes
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-09 12:04 UTC by Need Real Name
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-03-09 12:04:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205

Description of problem:
When I start KDE on an rh7.2 machine with kernel 2.4.9-13, artsd creates a high
pitched sound for about 30 secs and then segfaults (or is killed by  KDE because
of CPU overload).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start KDE
2.
3.
	

Additional info:

This might be an artsd bug, but arts was not available as a component in the
component list. Still I think it is a kernel bug as everything works fine on
2.4.9-31.
This is my audio hardware:
i810: Intel ICH2 found at IO 0xc400 and 0xc300, IRQ 9
i810_audio: Audio Controller supports 6 channels.
ac97_codec: AC97 Audio codec, id: 0x4352:0x5934 (Cirrus Logic CS4299 rev D)
i810_audio: AC'97 codec 0 supports AMAP, total channels = 2

Comment 1 Bernhard Rosenkraenzer 2002-03-11 10:39:13 UTC
It's a sound driver bug - arts works perfectly with all of my hardware.

Comment 2 Arjan van de Ven 2002-03-11 11:00:32 UTC
Can you try the 2.4.9-31 kernel? there's a much improved i810 sound driver in that

Comment 3 Need Real Name 2002-03-11 11:06:20 UTC
See the original bug report where I said:
"... everything works fine on 2.4.9-31."

I can't use 2.4.9-31 though as it oopses constantly on me when
accessing smb mounted drives.

Come to think of it, I probably shouldn't have reported this as a bug as
it was fixed :-)




Comment 4 Arjan van de Ven 2002-03-11 13:25:56 UTC
I think I fixed smbfs, see the 2.4.9-31.1 kernel at
http://people.redhat.com/arjanv/testkernels

Comment 5 Bugzilla owner 2004-09-30 15:39:25 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.